---
id: 699b65caf17a8e8d340af27d
title: Step 8
challengeType: 1
dashedName: step-8
---

# --description--

Now it is time to add the last property to the `profile` object.

In prior lessons, you learned how to work with array types. You learned about different array types like `string[]`, or `number[]`:

```ts
const scores: number[] = [95, 87, 100];
```

In this example, the `scores` array only accepts numbers. If you try to add another type like a `string`, or `null` then TypeScript will throw an error.

Update your `profile` object to add a `programmingLanguages` property, typed as a `string[]`. Inside the object literal, set this property to `["JavaScript", "Python", "C++"]`.

# --hints--

You should have a `programmingLanguages` property inside of your `profile` object.

```js
assert.property(profile, "programmingLanguages");
```

Your `programmingLanguages` property should have the value of `["JavaScript", "Python", "C++"]`.

```js
assert.deepEqual(profile.programmingLanguages, ["JavaScript", "Python", "C++"]);
```

Your `programmingLanguages` property should be typed as a `string[]`.

```js
const explorer = await __helpers.Explorer(code);
const { profile } = explorer.variables;
const prop = { name: "programmingLanguages", type: "string[]" };
assert.isTrue(profile.annotation.hasTypeProps(prop));
```

# --seed--

## --seed-contents--

```ts
--fcc-editable-region--
const profile: {
  username: string;
  age: number;
  isLoggedIn: boolean;
  bio?: string;
} = {
  username: "codeLearner",
  age: 25,
  isLoggedIn: false
};
--fcc-editable-region--

console.log(profile);
```
